org.eclipse.emf.facet.util.emf.ui.util

## Class EditingUtil

- java.lang.Object
- - org.eclipse.emf.facet.util.emf.ui.util.EditingUtil

    public final class EditingUtil
    extends java.lang.Object

Since:
  0.3

### Method Summary

All Methods Static Methods Concrete Methods
`static Resource` `createDefaultResource(java.io.File file)` Create and return a new `Resource`.
`static EditingDomain` `getEditingDomain()` Return the current editing domain.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEditingDomain

    public static EditingDomain getEditingDomain()

Return the current editing domain.

Returns:
  the current editing domain.

#### createDefaultResource

    public static Resource createDefaultResource(java.io.File file)

Create and return a new `Resource`.

Returns:
  the new `Resource`.